com.amazonaws.services.codedeploy.model

## Class GetDeploymentGroupRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.GetDeploymentGroupRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class GetDeploymentGroupRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a get deployment group operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`GetDeploymentGroupRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetDeploymentGroupRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getApplicationName()` The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
`String` `getDeploymentGroupName()` The name of an existing deployment group for the specified application.
`int` `hashCode()`
`void` `setApplicationName(String applicationName)` The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
`void` `setDeploymentGroupName(String deploymentGroupName)` The name of an existing deployment group for the specified application.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetDeploymentGroupRequest` `withApplicationName(String applicationName)` The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
`GetDeploymentGroupRequest` `withDeploymentGroupName(String deploymentGroupName)` The name of an existing deployment group for the specified application.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetDeploymentGroupRequest

    public GetDeploymentGroupRequest()

### Method Detail

#### setApplicationName

    public void setApplicationName(String applicationName)

The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

Parameters:
  `applicationName` - The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

#### getApplicationName

    public String getApplicationName()

The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

Returns:
  The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

#### withApplicationName

    public GetDeploymentGroupRequest withApplicationName(String applicationName)

The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

Parameters:
  `applicationName` - The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeploymentGroupName

    public void setDeploymentGroupName(String deploymentGroupName)

The name of an existing deployment group for the specified application.

Parameters:
  `deploymentGroupName` - The name of an existing deployment group for the specified application.

#### getDeploymentGroupName

    public String getDeploymentGroupName()

The name of an existing deployment group for the specified application.

Returns:
  The name of an existing deployment group for the specified application.

#### withDeploymentGroupName

    public GetDeploymentGroupRequest withDeploymentGroupName(String deploymentGroupName)

The name of an existing deployment group for the specified application.

Parameters:
  `deploymentGroupName` - The name of an existing deployment group for the specified application.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetDeploymentGroupRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`